
[[_TOC_]]



# Guide-bonnes-pratiques-gilab-issue

## Glossaire
**Etiquette** ou **Label** : Une étiquette est un élément qui permet de préciser un attribut ou une catégorie d'un ticket. Elles apparaissent sour la forme de mots-clefs sur fond coloré. Il est possible d'assigner plusieurs étiquettes à un ticket. Il est également possible de créer et personnaliser des étiquettes. Les étiquettes permettent de faciliter les recherches et filtrages.\

**Groupe** : Un groupe GitLab est un ensemble de projets ayant les mêmes utilisateurs. Il peut également contenir des sous-groupes et ainsi former une arborescence. Un utilisateur n'ayant pas accès à un groupe ne peut pas avoir accès aux projets qu'il contient.\




## Prise en main rapide

### Comment changer la langue

>Pour **changer la langue**, il faut :
>- cliquer sur l'icône profil en haut à droite
>- sélectionner "Préférences" (ou "Preferences" si l'application est en anglais)\
>![profil](Images/accesProfil.png)
>- dans la partie "Localisation" (ou "Localization"), modifier le champ "Langue" (ou "Language")
>- sauvegarder avec le bouton "Save changes"\
>![langue](Images/changerLangue.png)

La suite de ce document se base sur la version française de GitLab.


### Comment changer les paramètres de notifications

Il existe 4 niveaux de notification :
>- **Watch** : Vous recevrez une notification par mail pour toute nouvelle activité, sur tous vos projets ou sur tous les projets du groupe concerné.
>- **Participate** : Vous recevrez une notification par mail pour toute nouvelle activité sur un ticket auquel vous avez participé.
>- **On mention** : Vous recevrez une notification par mail quand un autre utilisateur vous mentionne dans un commentaire à l'aide de `@votreNomDUtilisateur`.
>- **Disabled** : Vous ne recevrez aucune notification.

Pour **changer les paramètres de notifications**, il faut :
>- cliquer sur l'icône profil en haut à droite
>- sélectionner "Modifier le profil"\
>![profil](Images/accesProfil.png)
>- dans le menu de gauche, cliquer sur "Notifications"
Vous pouvez ensuite :
>>- modifier le niveau de notification global, ce qui changera le niveau de notification pour l'ensemble de vos projets\
>>![notificationGlobale](Images/notificationGlobale.png)
>>- modifier le niveau de notification pour un *groupe GitLab* en particulier *(voir glossaire)*. Si le niveau de notification global et le niveau de noitification d'un groupe dont différents, c'est le niveau de notification du groupe qui sera pris en compte.\
>>![notificationDeGroupe](Images/notificationGroupe.png)


### Comment afficher les tickets

En vous connectant sur GitLab, vous arriverez sur une page avec tous les projets auxquels vous participez. Il faut donc cliquer sur le projet dont vous voulez afficher les tickets.

Pour l'**affichage classique des tickets**, il faut : 
>- dans le menu de gauche, passer la souris sur "Tickets"
>- dans le sous menu qui s'affiche, cliquer sur "Liste"\
![afficherTickets](Images/afficherTickets.png)\
![affichageTickets](Images/affichageTickets.png)
La page affiche par défaut uniquement les tickets ouverts, il est possible d'accéder aux tickets fermés  via l'onglet "Closed" ou à tous les tickets via l'onglet "All".\
![ouvertFermé](Images/ouvertFerme.png)

### Recherche de tickets

Il est possible de rechercher des tickets parmis tous les projets en utilisant le champ "Rechercher sur GitLab" situé en haut de la page, à côté du logo GitLab.\

Pour chercher des tickets au sein d'un projet, il faut se rendre sur la liste de ses tickets.
En haut de la liste des tickets il y a un champ de recherche.\

Les critères de recherche les plus utiles sont :
>- le numéro d'id du ticket
>- **Assignee** : la personne assignée au ticket
>- **Author** : le rapporteur du ticket
>- **Confidential** : le niveau de confidentialité du ticket
>- **Label** : une étiquette du ticket(y compris "priorité", "impact" ou "version")
>- **Search within** : mots contenus dans le titre ou la description du ticket
>![criteresRecherche](Images/rechercheLabel1.png)

Pour **faire une recherche par l'id du ticket**, il ne faut pas oublier le "#" devant le numéro d'id.\
![rechercheParId](Images/rechercheID.png)


Pour **faire une recherche par étiquette** il faut : 
>- cliquer dans le champ de recherche
>- dans le sous-menu, cliquer sur "label"\
>![rechercheLabel](Images/rechercheLabel1.png)
>- dans le sous-menu, cliquer sur l'opérateur logique de votre choix ("is" dans notre cas). Les opérateurs logiques peuvent être :
>>- **is (=)** : les tickets qui possèdent cette étiquette
>>- **is not one of (!=)** : les tickets qui ne possèdent pas cette étiquette
>>- **is one of (||)** : les tickets qui possèdent au moins une des étiquettes avec le critère de recherche "is one of" (nécessite plusieurs critères de recherche utilisant cet opérateur)\
>![rechercheLabelOpérateur](Images/rechercheLabel2.png)
>- dans le sous-menu, sélectionner l'étiquette de votre choix\
>![rechercheLabelEtiquette](Images/rechercheLabel3.png)
![resultatRechercheLabel](Images/resultatRechercheLabel.png)

Pour **faire une recherche dans la description** il faut :
>- cliquer dans le champ de recherche
>- dans le sous-menu, cliquer sur "Search within"\
>![searchWithin](Images/chercherDans.png)
>- dans le sous-menu, cliquer sur "Descriptions". Il est aussi possible de faire une recherche dans les titres en cliquant sur "Titles".\
>![description](Images/description.png)
>- saisir les mots qu'on souhaite chercher\
>![rechercheDescription](Images/chercherDescription.png)

Il est possible de **trier les tickets** selon plusieurs critères. Les plus utiles sont :
>- **Created date** : date de création du ticket
>- **Updated date** : date de dernière modification du ticket
>- **Closed date** : date de fermeture du ticket
>- **Title** : titre dans l'ordre alphabétique
![tri](Images/tri.png)
Pour passer d'un tri croissant à un tri décroissant (ou inversement), il faut cliquer sur le bouton situé à côté du type de tri.\
![sensTri](Images/sensTri.png)


### Déplacer des tickets vers un autre projet

Pour **déplacer des tickets vers un autre projet**, il faut :
>- sur la page liste des tickets, cliquer sur le bouton "Edit issues"\
>![modifierTickets](Images/editIssue.png)
>- Des cases à cocher apparaissent à côté des titres des tickets, il faut cocher les tickets à déplacer
>- dans l'encadré de droite, cliquer sur le bouton "Move selected"\
>![deplacerTickets](Images/deplacerIssue.png)
>- sélectionner le projet de destination
>- cliquer sur le bouton "Move"


**{- Point d'attention : conséquences du déplacement de tickets -}**\
- {- Le ticket sera conservé et fermé dans le projet d'origine. -}\
- {- L'id du ticket sera différent dans le projet de destination. -}\
- {- Si le projet de destination ne possède pas une des étiquettes du ticket d'origine, cette étiquette n'existera pas sur le ticket déplacé. -}\



### Créer des liens entre les tickets

Pour **créer un lien entre deux tickets**, il faut :
>- ouvrir la page d'un des tickets à lier
>- dans l'encadré "Linked items", cliquer sur le bouton "Add"\
>![ajouterLien](Images/links.png)
>- saisir l'id de l'autre ticket à lier\
>![selectionnerLien](Images/linkIssue.png)
>- cliquer sur le bouton "Add" bleu



## Bonnes pratiques

### Création de ticket
Pour **créer un nouveau ticket**, il faut cliquer sur le bouton "New issue" sur la page de liste des tickets.
![nouveauTicket](Images/newIssue.png)

Les seuls champs obligatoires sont le titre et le type, mais nous vous conseillons de renseigner au minimum ces champs :
>- Titre
>- Type
>- Description (en incluant les étapes pour reproduire)
>- Une étiquette pour chacune de ces catégories :
>>- *Anomalie* ou *Evolution*
>>- Impact (*Impact : Mineur* ou *Impact : Majeur* ou *Impact : Bloquant*)
>>- Priorité (*Priorité : Basse* ou *Priorité : Normale* ou *Priorité : Haute*)\
>>![selectionEtiquette](Images/selectLabel.png)

Il y a deux options pour le **type de ticket** : *issue* qui correspond à une anomalie en recette, et *incident* qui correspond à une anomalie en production.

Pour **créer de nouvelles étiquettes**, il faut :
>- dans le menu de sélection d'étiquette, cliquer sur "Créer un étiquette de projet"\
>![creerEtiquette](Images/creerLabel.png)
>- donner un titre à l'étiquette
>- sélectionner la couleur de l'étiquette
>- cliquer sur le bouton "Créer"\
>![personnaliserEtiquette](Images/creerLabel2.png)

Pour **ajouter un document ou une image** à la description, il faut cliquer sur l'icône trombone de l'encadré description.\
![ajoutFichier](Images/ajoutFichier.png)
![fichierAjouté](Images/fichierAjout%C3%A9.png)

Il n'y a pas de champ "étapes pour reproduire l'anomalie" dans GitLab. Il faut donc ajouter ces information à la fin de la description.

### Utilisation des tableaux

Les tableaux sont un type d'affichage des tickets. On peut y accéder dans le menu de gauche > Tickets > Tableaux.
Dans le tableau par défaut, les tickets sont rangés dans deux listes : les tickets ouverts et les tickets fermés.\
![tableaux](Images/tableaux.png)

Il est possible de créer de nouveaux tableaux avec d'autres types de listes, comme un tableau avec les différents niveaux de priorités par exemple.\
![tableauPersonnalisé](Images/tableauCustom.png)

Pour **créer un nouveau tableau personnalisé**, il faut :
>- dans le menu déroulant "Switch board" à côté de la barre de recherche, cliquer sur "Create new board"\
>![menuSwitchBoard](Images/changerDeTableau.png)
>- dans le pop-up "Create new board", saisir un titre et décocher les options "Show the Open list" et "Show the Closed list"
>- cliquer sur "Create board"\
>![creerTableau](Images/creerTableau.png)

Pour **ajouter une liste dans un tableau**, il faut :
>- cliquer sur le bouton "Create list" à droite de la barre de recherche\
>![creerListe](Images/creerListe.png)
>- dans l'encadré "New list", sélectionner un label dans le menu déroulant "Select label"\
>![selectionLabelListe](Images/editListe.png)

Il est possible d'ordonner les tableaux avec un cliquer-glisser.\
![deplacerTableau](Images/glisserTableau.png)

Il est également possible de changer un ticket de liste avec un cliquer-glisser. Le statut ou l'étiquette du ticket sont automatiquement modifiés pour correspondre à la liste dans laquelle il a été glissé.\
![changerDeListe](Images/changeLabelTableau.png)


Pour des renseignements plus détaillés, vous pouvez consulter la [documentaion GitLab](https://docs.gitlab.com/ee/user/).


